> ## Documentation Index
> Fetch the complete documentation index at: https://www.spacebring.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a booking

> Get a booking. <h3>OAuth</h3>Required scopes: <code>resources.readonly</code> or <code>resources</code>



## OpenAPI

````yaml /assets/openapi.json get /resources/bookings/v1/{id}
openapi: 3.0.2
info:
  title: Spacebring
  version: 1.0.0
  termsOfService: https://www.spacebring.com/terms
servers:
  - url: https://api.spacebring.com
security: []
paths:
  /resources/bookings/v1/{id}:
    get:
      tags:
        - Resources
      summary: Get a booking
      description: >-
        Get a booking. <h3>OAuth</h3>Required scopes:
        <code>resources.readonly</code> or <code>resources</code>
      operationId: getBooking
      parameters:
        - name: id
          in: path
          description: The id of the booking.
          schema:
            type: string
            format: uuid
          required: true
        - in: header
          name: spacebring-network-id
          schema:
            type: string
            format: uuid
          required: false
          description: >-
            The id of the network. Required when using bearer token
            authentication
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  booking:
                    $ref: '#/components/schemas/booking'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseError'
      security:
        - BasicAuth: []
        - OAuth2:
            - resources.readonly
            - resources
components:
  schemas:
    booking:
      type: object
      properties:
        attendees:
          type: array
          items:
            type: object
            properties:
              membershipRef:
                type: string
                format: uuid
              user:
                $ref: '#/components/schemas/user'
        createDate:
          $ref: '#/components/schemas/dateSchema'
        deleteDate:
          $ref: '#/components/schemas/dateSchema'
        endDate:
          $ref: '#/components/schemas/dateSchema'
        id:
          type: string
          format: uuid
        memo:
          type: string
        membershipRefOwner:
          type: string
          format: uuid
        payment:
          $ref: '#/components/schemas/payment'
        resourceRef:
          type: string
          format: uuid
        seats:
          type: integer
        startDate:
          $ref: '#/components/schemas/dateSchema'
        title:
          type: string
        updateDate:
          $ref: '#/components/schemas/dateSchema'
        userOwner:
          $ref: '#/components/schemas/user'
    responseError:
      type: object
      properties:
        message:
          type: string
        type:
          type: string
    user:
      type: object
      properties:
        about:
          type: string
        email:
          type: string
        id:
          type: string
          format: uuid
        name:
          type: string
        phoneNumber:
          type: string
        photoUrl:
          type: string
        surname:
          type: string
    dateSchema:
      format: date-time
      type: string
      description: The date and time in ISO 8601 format, e.g. 2021-05-21T10:00:00Z
    payment:
      type: object
      properties:
        amount:
          type: number
          description: The amount of the payment
        currencyCode:
          type: string
          description: The currency code of the payment
        invoiceItemRef:
          type: string
          description: The reference ID of the invoice item
        status:
          type: string
          enum:
            - succeeded
            - pending
            - processing
            - canceled
            - failed
        tax:
          type: object
          properties:
            inclusive:
              type: boolean
            rate:
              type: number
        transactionRef:
          type: string
          description: The reference ID of the transaction
        type:
          type: string
          enum:
            - credits
            - dayPasses
            - external
            - flow
            - fondy
            - freedompay
            - invoice
            - kakaopay
            - mercadopago
            - paypal
            - paystack
            - plata
            - stripe
            - tap
            - wayforpay
  securitySchemes:
    BasicAuth:
      type: http
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/api-reference/authentication#basic-authentication)
        for how to authorize your requests
      scheme: basic
    OAuth2:
      type: oauth2
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/api-reference/authentication#oauth2)
        for how to authorize your requests
      flows:
        authorizationCode:
          authorizationUrl: https://api.spacebring.com/oauth2/authorize
          tokenUrl: https://api.spacebring.com/oauth2/token
          refreshUrl: https://api.spacebring.com/oauth2/token
          scopes:
            benefits.readonly: Read benefits and applications
            benefits: Read and write benefits and applications
            community.readonly: Read community companies and memberships
            community: Read and write community companies and memberships
            events.readonly: Read events and tickets
            events: Read and write events and tickets
            feed.readonly: Read feed posts
            feed: Read and write feed posts
            invoices.readonly: Read invoices
            invoices: Read and write invoices
            locations.readonly: Read locations
            locations: Read and write locations
            plans.readonly: Read plans
            plans: Read and write plans
            resources.readonly: Read resources and bookings
            resources: Read and write resources and bookings
            subscriptions.readonly: Read subscriptions
            subscriptions: Read and write subscriptions
            shop.readonly: Read products and orders
            shop: Read and write products and orders
            support.readonly: Read support tickets
            support: Read and write support tickets
            transactions.readonly: Read transactions
            transactions: Read and write transactions
            visitors.readonly: Read visitors
            visitors: Read and write visitors

````